\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[eco] (m1e1) [right of=m1s1] {};
	\node[soc] (m1s2) [right of=m1e1] {};
	\node[eco] (m1e2) [right of=m1s2] {};
	\path (m1e1) edge [thick] node[yshift=.2cm] {1st} (m1s1);
	\path (m1s2) edge [thick] node[yshift=.2cm] {2nd} (m1e1);
	\path (m1e2) edge [thick] node[yshift=.2cm] {3rd} (m1s2);	
	
	\node (m2t1) [below of=m1s1, xshift=-3.5cm, align=flush left] {uuu};
	\node[soc] (m2s1) [right of=m2t1] {};
	\node[eco] (m2e1) [right of=m2s1] {};
	\node[soc] (m2s2) [right of=m2e1] {};
	\node[eco] (m2e2) [right of=m2s2] {};
	\path (m2e2) edge [arrow] (m2s2);
	\path (m2s2) edge [arrow] (m2e1);
	\path (m2e1) edge [arrow] (m2s1);
	
    \node (m3t1) [below of=m2t1, align=flush left] {duu};
	\node[soc] (m3s1) [right of=m3t1] {};
	\node[eco] (m3e1) [right of=m3s1] {};
	\node[soc] (m3s2) [right of=m3e1] {};
	\node[eco] (m3e2) [right of=m3s2] {};
	\path (m3e2) edge [arrow] (m3s2);
	\path (m3s2) edge [arrow] (m3e1);
	\path (m3s1) edge [arrow] (m3e1);	

    \node (m4t1) [below of=m3t1, align=flush left] {udu};
	\node[soc] (m4s1) [right of=m4t1] {};
	\node[eco] (m4e1) [right of=m4s1] {};
	\node[soc] (m4s2) [right of=m4e1] {};
	\node[eco] (m4e2) [right of=m4s2] {};
	\path (m4e2) edge [arrow] (m4s2);
	\path (m4e1) edge [arrow] (m4s2);
	\path (m4e1) edge [arrow] (m4s1);	

    \node (m5t1) [below of=m4t1, align=flush left] {ddu};
	\node[soc] (m5s1) [right of=m5t1] {};
	\node[eco] (m5e1) [right of=m5s1] {};
	\node[soc] (m5s2) [right of=m5e1] {};
	\node[eco] (m5e2) [right of=m5s2] {};
	\path (m5e2) edge [arrow] (m5s2);
	\path (m5e1) edge [arrow] (m5s2);
	\path (m5s1) edge [arrow] (m5e1);	
	
	
	\node[soc] (m7s1) [below of=m1s2,xshift=.5cm] {};
	\node[eco] (m7e1) [right of=m7s1] {};
	\node[soc] (m7s2) [right of=m7e1] {};
	\node[eco] (m7e2) [right of=m7s2] {};
	\path (m7s2) edge [arrow] (m7e2);
	\path (m7s2) edge [arrow] (m7e1);
	\path (m7e1) edge [arrow] (m7s1);
	\node (m7t1) [right of=m7e2, align=flush left] {uud};
	
    
	\node[soc] (m8s1) [below of=m7s1] {};
	\node[eco] (m8e1) [right of=m8s1] {};
	\node[soc] (m8s2) [right of=m8e1] {};
	\node[eco] (m8e2) [right of=m8s2] {};
	\path (m8s2) edge [arrow] (m8e2);
	\path (m8s2) edge [arrow] (m8e1);
	\path (m8s1) edge [arrow] (m8e1);	
	\node (m8t1) [right of=m8e2, align=flush left] {dud};

    
	\node[soc] (m9s1) [below of=m8s1] {};
	\node[eco] (m9e1) [right of=m9s1] {};
	\node[soc] (m9s2) [right of=m9e1] {};
	\node[eco] (m9e2) [right of=m9s2] {};
	\path (m9s2) edge [arrow] (m9e2);
	\path (m9e1) edge [arrow] (m9s2);
	\path (m9e1) edge [arrow] (m9s1);	
	\node (m9t1) [right of=m9e2, align=flush left] {udd};

    
	\node[soc] (m10s1) [below of=m9s1] {};
	\node[eco] (m10e1) [right of=m10s1] {};
	\node[soc] (m10s2) [right of=m10e1] {};
	\node[eco] (m10e2) [right of=m10s2] {};
	\path (m10s2) edge [arrow] (m10e2);
	\path (m10e1) edge [arrow] (m10s2);
	\path (m10s1) edge [arrow] (m10e1);	
	
	\node (m10t1) [right of=m10e2, align=flush left] {ddd};
\end{tikzpicture}

\end{document}


